<?php

declare(strict_types=1);

/*******************************************************************************
 * Front Controller
 * *****************************************************************************
 * This file serves as the front controller for the ePHPic Autoloader.
 * 
 * @package   ePHPic\Autoload
 * @version   1.0.0
 * @author    Sina Kuhestani <sina@ephpic.org>
 * @license   MIT License
 * @copyright 2025 © Sina Kuhestani
 * @link      https://code.ephpic.org/ephpic/autoload
 ******************************************************************************/

$autoloaderFilePathArray =  [
    __DIR__,
    'src',
    'Autoloader.php'
];

/* Autoloader file */
$autoloaderFilePath = implode(
    separator: DIRECTORY_SEPARATOR,
    array: $autoloaderFilePathArray
);

/* Include Autoloader file */
require_once $autoloaderFilePath;
